<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (14.0.2) on Tue Oct 27 22:58:03 CET 2020 -->
<title>Uses of Class com.processo.sviluppo.springbootapp.model.Message</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-27">
<meta name="description" content="use: package: com.processo.sviluppo.springbootapp.model, class: Message">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../../../../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-use">
<script type="text/javascript">var pathtoroot = "../../../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Message.html" title="class in com.processo.sviluppo.springbootapp.model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<div class="header">
<h1 title="Uses of Class com.processo.sviluppo.springbootapp.model.Message" class="title">Uses of Class<br>com.processo.sviluppo.springbootapp.model.Message</h1>
</div>
<div class="classUseContainer">
<div class="useSummary">
<table>
<caption><span>Packages that use <a href="../Message.html" title="class in com.processo.sviluppo.springbootapp.model">Message</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#com.processo.sviluppo.springbootapp.controller">com.processo.sviluppo.springbootapp.controller</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#com.processo.sviluppo.springbootapp.service">com.processo.sviluppo.springbootapp.service</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<section class="classUses">
<ul class="blockList">
<li class="blockList">
<section class="detail"><a id="com.processo.sviluppo.springbootapp.controller">
<!--   -->
</a>
<h2>Uses of <a href="../Message.html" title="class in com.processo.sviluppo.springbootapp.model">Message</a> in <a href="../../controller/package-summary.html">com.processo.sviluppo.springbootapp.controller</a></h2>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../controller/package-summary.html">com.processo.sviluppo.springbootapp.controller</a> that return <a href="../Message.html" title="class in com.processo.sviluppo.springbootapp.model">Message</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../Message.html" title="class in com.processo.sviluppo.springbootapp.model">Message</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MainController.</span><code><span class="memberNameLink"><a href="../../controller/MainController.html#getMessage(java.lang.Integer)">getMessage</a></span>&#8203;(java.lang.Integer&nbsp;messageId)</code></th>
<td class="colLast">
<div class="block">Ritorna il messaggio con id uguale a quello scritto nell'URI: /message/{messageId}.</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../controller/package-summary.html">com.processo.sviluppo.springbootapp.controller</a> that return types with arguments of type <a href="../Message.html" title="class in com.processo.sviluppo.springbootapp.model">Message</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../Message.html" title="class in com.processo.sviluppo.springbootapp.model">Message</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MainController.</span><code><span class="memberNameLink"><a href="../../controller/MainController.html#getAllMessages()">getAllMessages</a></span>()</code></th>
<td class="colLast">
<div class="block">Ritorna una lista di oggetti json che rappresentano tutti i messaggi presenti sul database, ordinati per id.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../Message.html" title="class in com.processo.sviluppo.springbootapp.model">Message</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MainController.</span><code><span class="memberNameLink"><a href="../../controller/MainController.html#getAllMessagesOrder()">getAllMessagesOrder</a></span>()</code></th>
<td class="colLast">
<div class="block">Ritorna una lista di oggetti json che rappresentano tutti i messaggi presenti sul database, ordinati alfabeticamente per testo.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li class="blockList">
<section class="detail"><a id="com.processo.sviluppo.springbootapp.service">
<!--   -->
</a>
<h2>Uses of <a href="../Message.html" title="class in com.processo.sviluppo.springbootapp.model">Message</a> in <a href="../../service/package-summary.html">com.processo.sviluppo.springbootapp.service</a></h2>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../service/package-summary.html">com.processo.sviluppo.springbootapp.service</a> that return types with arguments of type <a href="../Message.html" title="class in com.processo.sviluppo.springbootapp.model">Message</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.Optional&lt;<a href="../Message.html" title="class in com.processo.sviluppo.springbootapp.model">Message</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MainService.</span><code><span class="memberNameLink"><a href="../../service/MainService.html#findById(java.lang.Integer)">findById</a></span>&#8203;(java.lang.Integer&nbsp;id)</code></th>
<td class="colLast">
<div class="block">Ritorna il messaggio con id uguale a quello scritto nell'URI: /message/{messageId}.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../Message.html" title="class in com.processo.sviluppo.springbootapp.model">Message</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MainService.</span><code><span class="memberNameLink"><a href="../../service/MainService.html#getAllMessages()">getAllMessages</a></span>()</code></th>
<td class="colLast">
<div class="block">Ritorna una lista di oggetti json che rappresentano tutti i messaggi presenti sul database, ordinati per id.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../Message.html" title="class in com.processo.sviluppo.springbootapp.model">Message</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MainService.</span><code><span class="memberNameLink"><a href="../../service/MainService.html#sort(java.util.List)">sort</a></span>&#8203;(java.util.List&lt;<a href="../Message.html" title="class in com.processo.sviluppo.springbootapp.model">Message</a>&gt;&nbsp;msgs)</code></th>
<td class="colLast">
<div class="block">Ordina la lista di messaggi in input in ordine alfabetico rispetto al parametro text.</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Method parameters in <a href="../../service/package-summary.html">com.processo.sviluppo.springbootapp.service</a> with type arguments of type <a href="../Message.html" title="class in com.processo.sviluppo.springbootapp.model">Message</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../Message.html" title="class in com.processo.sviluppo.springbootapp.model">Message</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MainService.</span><code><span class="memberNameLink"><a href="../../service/MainService.html#sort(java.util.List)">sort</a></span>&#8203;(java.util.List&lt;<a href="../Message.html" title="class in com.processo.sviluppo.springbootapp.model">Message</a>&gt;&nbsp;msgs)</code></th>
<td class="colLast">
<div class="block">Ordina la lista di messaggi in input in ordine alfabetico rispetto al parametro text.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Message.html" title="class in com.processo.sviluppo.springbootapp.model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
